ChangeSet 1.1587.12.14, 2004/04/29 14:59:12-07:00, eike-hotplug@sf-tec.de

[PATCH] CompactPCI Hotplug: kill magic number

slot->magic is not used anymore since slot_paranoia_check is dead, so just kill
it.


 drivers/pci/hotplug/cpci_hotplug.h      |    2 --
 drivers/pci/hotplug/cpci_hotplug_core.c |    1 -
 2 files changed, 3 deletions(-)


diff -Nru a/drivers/pci/hotplug/cpci_hotplug.h b/drivers/pci/hotplug/cpci_hotplug.h
--- a/drivers/pci/hotplug/cpci_hotplug.h	Mon May 17 17:06:41 2004
+++ b/drivers/pci/hotplug/cpci_hotplug.h	Mon May 17 17:06:41 2004
@@ -40,9 +40,7 @@
 #define HS_CSR_EIM	0x0002
 #define HS_CSR_DHA	0x0001
 
-#define SLOT_MAGIC	0x67267322
 struct slot {
-	u32 magic;
 	u8 number;
 	unsigned int devfn;
 	struct pci_bus *bus;
diff -Nru a/drivers/pci/hotplug/cpci_hotplug_core.c b/drivers/pci/hotplug/cpci_hotplug_core.c
--- a/drivers/pci/hotplug/cpci_hotplug_core.c	Mon May 17 17:06:41 2004
+++ b/drivers/pci/hotplug/cpci_hotplug_core.c	Mon May 17 17:06:41 2004
@@ -353,7 +353,6 @@
 		}
 		hotplug_slot->name = name;
 
-		slot->magic = SLOT_MAGIC;
 		slot->bus = bus;
 		slot->number = i;
 		slot->devfn = PCI_DEVFN(i, 0);
